class_name AttackCombatTactic extends CombatTactic

func get_offensive_stats(stats: DeployedUnitStats) -> Variant:
	return {"atk": stats.phys_atk, "hit": stats.hit}

func get_relevant_defense(stats: DeployedUnitStats) -> int:
	return stats.phys_def

func deals_damage() -> bool:
	return true
